## org.jboss.metadata
Class EjbRefMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.EjbRefMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class EjbRefMetaData
extends MetaData

<description>

Version:
  $Revision: 1.3.6.1 $
Author:
  Sebastien Alborini
See Also:
  <related>

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`EjbRefMetaData()`

Method Summary
`java.lang.String` `getHome()`
`java.lang.String` `getJndiName()`
`java.lang.String` `getLink()`
`java.lang.String` `getName()`
`java.lang.String` `getRemote()`
`java.lang.String` `getType()`
`void` `importEjbJarXml(org.w3c.dom.Element element)`
`void` `importJbossXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbRefMetaData

    public EjbRefMetaData()

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getHome

    public java.lang.String getHome()

### getRemote

    public java.lang.String getRemote()

### getLink

    public java.lang.String getLink()

### getJndiName

    public java.lang.String getJndiName()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

  Overrides:
    `importJbossXml` in class `MetaData`

Copyright © 2000 The JBoss Organization. All Rights Reserved.